Loading...
Searching...
No Matches
Signature.h File Reference

signatures for conditional densities More...

Go to the source code of this file.

## Classes

class | gtsam::Signature
| Signature for a discrete conditional density, used to construct conditionals. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

Signature | gtsam::operator| (const DiscreteKey &key, const DiscreteKey &parent)
| Helper function to create Signature objects example: Signature s = D | E;.
Signature | gtsam::operator% (const DiscreteKey &key, const std::string &parent)
| Helper function to create Signature objects example: Signature s(D % "99/1");.
Signature | gtsam::operator% (const DiscreteKey &key, const Signature::Table &parent)
| Helper function to create Signature objects, using table construction directly example: Signature s(D % table);.

## Detailed Description

signatures for conditional densities

Author
  Frank Dellaert

Date
  Feb 27, 2011